summaryrefslogtreecommitdiff
path: root/dev-ruby/childlabor
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/childlabor
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/childlabor')
-rw-r--r--dev-ruby/childlabor/Manifest1
-rw-r--r--dev-ruby/childlabor/childlabor-0.0.3-r1.ebuild36
-rw-r--r--dev-ruby/childlabor/metadata.xml12
3 files changed, 49 insertions, 0 deletions
diff --git a/dev-ruby/childlabor/Manifest b/dev-ruby/childlabor/Manifest
new file mode 100644
index 000000000000..1a74fe7dfd29
--- /dev/null
+++ b/dev-ruby/childlabor/Manifest
@@ -0,0 +1 @@
+DIST childlabor-0.0.3.tar.gz 3120 BLAKE2B 555310e2b6b70292b580451b3627973a2cfc33ae0a8ceb5507fcc92ee70f388802644b1586c18736b34339418a9aaa6450f07e5353f3925a7238f02d397a640a SHA512 d18f3f90204b12e3b4a21be1439fcf44a4eb9f905402633966e6ab2a3cc9412a28c502a8c78487834a82e1de24f0f905691f33f443de930f670c70b17288fb6e
diff --git a/dev-ruby/childlabor/childlabor-0.0.3-r1.ebuild b/dev-ruby/childlabor/childlabor-0.0.3-r1.ebuild
new file mode 100644
index 000000000000..5dae3f9f337f
--- /dev/null
+++ b/dev-ruby/childlabor/childlabor-0.0.3-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A scripting framework that replaces rake and sake"
+HOMEPAGE="https://github.com/carllerche/childlabor"
+COMMIT_ID="6518b939dddbad20c7f05aa075d76e3ca6e70447"
+SRC_URI="https://github.com/carllerche/childlabor/archive/${COMMIT_ID}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="${PN}-${COMMIT_ID}"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
+
+all_ruby_prepare() {
+ # Avoid failing spec. The signals work, but the stdout handling
+ # doesn't seem to play nice with portage.
+ sed -i -e '/can send signals/,/^ end/ s:^:#:' spec/task_spec.rb || die
+}
+
+each_ruby_test() {
+ ruby-ng_rspec -I. spec/task_spec.rb || die
+}
diff --git a/dev-ruby/childlabor/metadata.xml b/dev-ruby/childlabor/metadata.xml
new file mode 100644
index 000000000000..b0ab90e88431
--- /dev/null
+++ b/dev-ruby/childlabor/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">carllerche/childlabor</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>